CS::Animation::iBodySkeleton Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodySkeleton Struct Reference

This class holds the physical description of the skeleton of an animated mesh. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodySkeleton:

List of all members.

## Public Member Functions
virtual void | ClearAll ()=0
| Delete all body bones and all body chains.
virtual void | ClearBodyBones ()=0
| Delete all body bones.
virtual void | ClearBodyChains ()=0
| Delete all body chains.
virtual iBodyBone * | CreateBodyBone (BoneID boneID)=0
| Create a new body bone.
virtual iBodyChain * | CreateBodyChain (const char *name, BoneID rootBone)=0
| Create a new body chain, ie a subtree of the animesh skeleton.
virtual iBodyBone * | FindBodyBone (const char *name) const =0
| Find a body bone from the name of the associated animesh bone.
virtual iBodyBone * | FindBodyBone (BoneID bone) const =0
| Find a body bone from the ID of the associated animesh bone.
virtual iBodyChain * | FindBodyChain (const char *name) const =0
| Find a body chain from its name.
virtual const char * | GetName () const =0
| Return the name of the body skeleton.
virtual iSkeletonFactory * | GetSkeletonFactory () const =0
| Get the skeleton factory associated with this body skeleton.

## Detailed Description

This class holds the physical description of the skeleton of an animated mesh.

For each relevant bone of the skeleton, one has to define an CS::Animation::iBodyBone that will hold the colliders, joint and properties of the bone. Subtrees of the skeleton are defined through the CS::Animation::iBodyChain object.

Definition at line 78 of file bodymesh.h.

## Member Function Documentation

virtual void CS::Animation::iBodySkeleton::ClearAll | ( |  | ) | `[pure virtual]`

Delete all body bones and all body chains.

virtual void CS::Animation::iBodySkeleton::ClearBodyBones | ( |  | ) | `[pure virtual]`

Delete all body bones.

virtual void CS::Animation::iBodySkeleton::ClearBodyChains | ( |  | ) | `[pure virtual]`

Delete all body chains.

virtual iBodyBone* CS::Animation::iBodySkeleton::CreateBodyBone | ( | BoneID | boneID | ) | `[pure virtual]`

Create a new body bone.

Parameters:

  boneID | The ID of the animesh bone associated to the body bone.

virtual iBodyChain* CS::Animation::iBodySkeleton::CreateBodyChain | ( | const char * | name,
|  | BoneID | rootBone
| ) |  | `[pure virtual]`

Create a new body chain, ie a subtree of the animesh skeleton.

Parameters:

  name | The name of the body chain.
  rootBone | The root of the body chain.

Returns:
  The body chain upon success, nullptr if there was a problem.

virtual iBodyBone* CS::Animation::iBodySkeleton::FindBodyBone | ( | const char * | name | ) | const`[pure virtual]`

Find a body bone from the name of the associated animesh bone.

virtual iBodyBone* CS::Animation::iBodySkeleton::FindBodyBone | ( | BoneID | bone | ) | const`[pure virtual]`

Find a body bone from the ID of the associated animesh bone.

virtual iBodyChain* CS::Animation::iBodySkeleton::FindBodyChain | ( | const char * | name | ) | const`[pure virtual]`

Find a body chain from its name.

virtual const char* CS::Animation::iBodySkeleton::GetName | ( |  | ) | const`[pure virtual]`

Return the name of the body skeleton.

virtual iSkeletonFactory* CS::Animation::iBodySkeleton::GetSkeletonFactory | ( |  | ) | const`[pure virtual]`

Get the skeleton factory associated with this body skeleton.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h